@mixin mat-custom-slide-toggle-theme($theme) {

  $toggleOffset: 0.25rem;
  $width: 1.75rem;
  $borderWidth: 0.125rem;
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);

  $background: white;
  $accent-5: mat-color($accent, 500);
  $primary-5: mat-color($primary, 700);

  mat-slide-toggle {

    &.mat-slide-toggle {
      height: 1.25rem;
      border-radius: 1rem;
      .mat-slide-toggle-bar {
        width: $width;
        height: 1.125rem;
        border-radius: $width/2;
        box-sizing: content-box;
        background-color: $background;
        border: $borderWidth $accent-5 solid;
        transition: all 300ms;
      }

      .mat-slide-toggle-thumb-container {
        top: $toggleOffset - ($borderWidth / 2);
        left: $toggleOffset / 2 + 0.0625rem;
      }

      .mat-slide-toggle-thumb {
        background-color: $accent-5;
        box-shadow: none;
        width: 0.75rem;
        height: 0.75rem;
      }

      .mat-ripple-element {
        display: none;
      }
    }


    &.mat-slide-toggle.mat-checked {
      .mat-slide-toggle-thumb-container {
        transform: translate3d(($width/2)-($toggleOffset+$borderWidth - 0.1875rem), 0, 0);
      }

      .mat-slide-toggle-thumb {
        background-color: $background !important;
      }

      .mat-slide-toggle-bar {
        background-color: $primary-5;
        border-color: $primary-5;
      }

      &.mat-primary .mat-slide-toggle-bar {
        background-color: $primary-5;
        border-color: $primary-5;
      }

      &.mat-accent,
      &.mat-disabled {
        .mat-slide-toggle-bar {
          background-color: mat-color($accent, 300);
          border-color: transparent;
        }
      }

    }

  }

  .mat-slide-toggle{
      .mat-slide-toggle-label{
        color: mat-color($accent, 500);
        font-weight: 600;
        font-size: 0.8125rem;
      }
      &.mat-checked{
        .mat-slide-toggle-label{
          color: mat-color($accent, 900);
        }
      }
  }
}
